# Docker Sample Repository

This repository is a collection of Docker Compose examples for various self-hosted services.  Installing/configuring internet-facing systems is complex and comes with risk.  These samples strive to be self-contained and give a good starting point to get you up and running quickly.  They are not intended to be bullet-proof production grade ready-to-rock examples.  As such, these are provided without any warranty / use at your own risk.

To make services easier to manage (backup, restore, move to a different host, etc.), they typically use bind-mounts to store data in a subdirectory (typically `./data`) alongside the `docker-compose.yml` and `.env` files, rather than Docker Volumes.

Similarly, many examples here rely on Cloudflare Tunnels for publicly exposing services, and Tailscale for internal services. This allows them to be run within homelabs without poking holes in firewalls, or needing to pay for a VPS. 

In most cases, minimal changes should be required to the `docker-compose.yml` file, while the bulk of the changes will be to the `.env` file.
